Subject: [v6ops] Re: DHCPv6 PD in a multi-prefix environment
From: David Farmer <[email-masked]>
To: Ted Lemon <[email-masked]>
Cc: V6 Ops List <[email-masked]>
Date: Tue, 23 Jul 2024 22:52:49 -0500
List-Id: v6ops discussion list <v6ops.ietf.org>

from the Introduction of draft-ietf-snac-simple;

The term "stub" refers to the way the network is seen by the link to which
it is connected: there is reachability through a stub network router to
devices on the stub network from the infrastructure link, but there is no
reachability through the stub network to any link beyond that one.

I was reading that as networks downstream of the SNAC router. Is this
supposed also to mean upstream of the infrastructure link?

I wanted the SNAC network to have ULA addresses to reduce the attack
surface. But if the SNAC network cannot, by policy, communicate with the
Internet through the infrastructure link, then providing the SNAC router
with a ULA prefix is not advantageous. I'm fine proving the SNAC router
with a GUA prefix.

That may be how I misunderstood the scenario.

Thanks

On Tue, Jul 23, 2024 at 10:09 PM David Farmer <[email-masked]> wrote:

> So, are you saying the SNAC router should use a GUA prefix in all cases
> and expose the IOT devices to the Global Internet?
>
> On Tue, Jul 23, 2024 at 9:55 PM Ted Lemon <[email-masked]> wrote:
>
>> No, I mean can you describe a real-world scenario where this would
>> happen. I get that you could configure a DHCP server to do this. The
>> question is, when would someone configure the DHCP server that way?
>>
>> On Tue, Jul 23, 2024 at 7:49 PM David Farmer <[email-masked]> wrote:
>>
>>> I already did scenario A.3 in draft-ietf-snac-simple. It is appropriate
>>> for the SNAC router to obtain a ULA prefix instead of a GUA prefix to
>>> reduce the attack surface of the IOT devices.
>>>
>>> On Tue, Jul 23, 2024 at 9:33 PM Ted Lemon <[email-masked]> wrote:
>>>
>>>> Can you give us an example of a situation where such a decision would
>>>> need to be made?
>>>>
>>>> On Tue, Jul 23, 2024 at 6:48 PM David Farmer <farmer=
>>>> [email-masked]> wrote:
>>>>
>>>>> The classic ISP use case for DHCPv6 PD, as envisioned initially by
>>>>> RFC3633 and integrated into RFC8415, typically expected a single prefix to
>>>>> be delegated to a requesting router from the ISP. Meanwhile, many of the
>>>>> draft-ietf-v6ops-cpe-lan-pd use cases probably expect a subdelegation from
>>>>> this ISP provided prefix. Nevertheless, an RFC7084 CE Router may also have
>>>>> a ULA prefix to subdelegate from, and a ULA prefix may be more appropriate
>>>>> for some of the use cases. Not to mention, there may be prefixes from more
>>>>> than one ISP or additional prefixes while renumbering.
>>>>>
>>>>> Should the delegating router in draft-ietf-v6ops-cpe-lan-pd advertise
>>>>> subdelegations from all prefixes it may have and let the requesting router
>>>>> choose one or more? How does the requesting router know which prefixes it
>>>>> is appropriate to select in what circumstances? If the delegating router
>>>>> doesn't advertise subdelegations from all prefixes, how does it know which
>>>>> prefixes to advertise to which requesting routers?
>>>>>
>>>>> You can also ask the question from the opposite direction: How does
>>>>> the requesting router solicit for a ULA prefix instead of a GUA prefix if
>>>>> that is more appropriate for its use case?
>>>>>
>>>>> These questions came to mind while reading draft-ietf-snac-simple, as
>>>>> it would seem reasonable to want the SCAC router to obtain a ULA prefix
>>>>> from the delegating router and not a GUA prefix, especially in the scenario
>>>>> described in A.3. However, similar questions exist for downstream RFC7084
>>>>> or PD-per-device in a multi-prefix environment.
>>>>>
>>>>> Thanks.
>>>>> --
>>>>> ===============================================
>>>>> David Farmer               Email:[email-masked]
>>>>> Networking & Telecommunication Services
>>>>> Office of Information Technology
>>>>> University of Minnesota
>>>>> 2218 University Ave SE        Phone: 612-626-0815
>>>>> Minneapolis, MN 55414-3029   Cell: 612-812-9952
>>>>> ===============================================
>>>>> _______________________________________________
>>>>> v6ops mailing list -- [email-masked]
>>>>> To unsubscribe send an email to [email-masked]
>>>>>
>>>>
>>>
>>> --
>>> ===============================================
>>> David Farmer               Email:[email-masked]
>>> Networking & Telecommunication Services
>>> Office of Information Technology
>>> University of Minnesota
>>> 2218 University Ave SE        Phone: 612-626-0815
>>> Minneapolis, MN 55414-3029   Cell: 612-812-9952
>>> ===============================================
>>>
>>
>
> --
> ===============================================
> David Farmer               Email:[email-masked]
> Networking & Telecommunication Services
> Office of Information Technology
> University of Minnesota
> 2218 University Ave SE        Phone: 612-626-0815
> Minneapolis, MN 55414-3029   Cell: 612-812-9952
> ===============================================
>

-- 
===============================================
David Farmer               Email:[email-masked]
Networking & Telecommunication Services
Office of Information Technology
University of Minnesota
2218 University Ave SE        Phone: 612-626-0815
Minneapolis, MN 55414-3029   Cell: 612-812-9952
===============================================